#ifndef USUARIO_H
#define USUARIO_H

#include <QString>
#include <QList>
#include <QPixmap>

class Usuario {
public:
    Usuario(const QString &nombre, const QString &carrera, int edad, bool dioLike, const QString &rutaImagen = "");

    QString getNombre() const;
    QString getCarrera() const;
    int getEdad() const;
    bool dioLike() const;
    void agregarInteres(const QString &interes);
    QString getIntereses() const;
    QPixmap getImagen() const;
    QString getRutaImagen() const;

private:
    QString nombre;
    QString carrera;
    int edad;
    bool m_dioLike;
    QList<QString> intereses;
    QString rutaImagen;
    QPixmap imagen;
};

#endif // USUARIO_H
